package com.futhark;

import com.futhark.block.ModBlocks;
import com.futhark.item.ModItemGroups;
import com.futhark.item.ModItems;
import net.fabricmc.api.ModInitializer;
import net.fabricmc.fabric.api.event.player.UseBlockCallback;

import net.fabricmc.fabric.api.object.builder.v1.entity.FabricDefaultAttributeRegistry;
import net.minecraft.client.render.RenderLayer;
import net.minecraft.registry.Registries;
import net.minecraft.util.ActionResult;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class Futhark implements ModInitializer {
	public static final String MOD_ID = "futhark";

	public static final Logger LOGGER = LoggerFactory.getLogger(MOD_ID);

	@Override
	public void onInitialize() {
		LOGGER.info("Hello from Futhark!");
		ModItems.init();
		ModBlocks.init();
		ModItemGroups.init();

		UseBlockCallback.EVENT.register(((player, world, hand, hitResult) -> {
			LOGGER.info(hand.toString());
			LOGGER.info(hitResult.toString());

			return ActionResult.PASS;
		}));
	}
}